Project

General

Profile

Bug #16458

Upgrade Linux to 4.19.20+ for Tails 3.13

Added by intrigeri 2 months ago. Updated about 1 month ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
-
Target version:
Start date:
02/11/2019
Due date:
% Done:

100%

QA Check:
Pass
Feature Branch:
bugfix/16462-16458-stretch-9.8-linux-4.19.20+force-all-tests
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Related issues

Related to Tails - Bug #16371: Upgrade to Linux 4.19.16-1 in 3.13 Rejected 01/18/2019
Related to Tails - Bug #16469: devel branch FTBFS: linux-image-4.19.0-2-amd64 not available Rejected 02/15/2019
Blocks Tails - Feature #15507: Core work 2019Q1: Foundations Team Resolved 04/08/2018
Blocked by Tails - Bug #16462: Upgrade to Stretch 9.8 in Tails 3.13 Resolved 02/13/2019

Associated revisions

Revision d72efd1f
Added by anonym 2 months ago

Merge remote-tracking branch 'origin/bugfix/16462-16458-stretch-9.8-linux-4.19.20+force-all-tests' into stable

Fix-committed: #16462, #16458

History

#1 Updated by intrigeri 2 months ago

  • Related to Bug #16371: Upgrade to Linux 4.19.16-1 in 3.13 added

#2 Updated by intrigeri 2 months ago

#3 Updated by intrigeri 2 months ago

4.19.20-1 was uploaded. The only CVE in its changelog that may affects Tails is CVE-2019-3819.

#4 Updated by intrigeri 2 months ago

  • Related to Bug #16469: devel branch FTBFS: linux-image-4.19.0-2-amd64 not available added

#5 Updated by intrigeri 2 months ago

  • Blocked by Bug #16462: Upgrade to Stretch 9.8 in Tails 3.13 added

#6 Updated by intrigeri 2 months ago

Implementation will depend on whether we bump APT snapshots for #16462.

#7 Updated by intrigeri 2 months ago

  • Blocked by deleted (Bug #16462: Upgrade to Stretch 9.8 in Tails 3.13)

#8 Updated by intrigeri 2 months ago

  • Feature Branch set to bugfix/16462-16458-stretch-9.8-linux-4.19.20+force-all-tests

#9 Updated by intrigeri 2 months ago

Note that the Debian changelog reads:

  * random: Enable RANDOM_TRUST_CPU. This can be reverted using the kernel
    parameter: random.trust_cpu=off

I'm inclined to trust Ben Hutchings' judgement on this front.

Also, the 4.19.20 Debian package brings lots of hardware enablement improvements (added drivers and optional hardware support features).

#10 Updated by intrigeri 2 months ago

  • Blocked by Bug #16462: Upgrade to Stretch 9.8 in Tails 3.13 added

#11 Updated by intrigeri 2 months ago

  • Subject changed from Consider Linux 4.19.20+ for Tails 3.13 to Upgrade Linux to 4.19.20+ for Tails 3.13
  • Status changed from Confirmed to In Progress
  • Assignee changed from intrigeri to anonym
  • % Done changed from 0 to 50
  • QA Check set to Ready for QA
  • Type of work changed from Research to Code

@anonym same as #16462#note-12.

#12 Updated by intrigeri 2 months ago

  • Priority changed from Normal to High

Raising priority as this supersedes #16469: once merged into stable and stable is merged into devel (+ APT snapshots thawed there, the usual drill), this will make devel build again.

#13 Updated by anonym 2 months ago

  • Status changed from In Progress to Fix committed
  • % Done changed from 50 to 100

#14 Updated by anonym 2 months ago

  • Assignee deleted (anonym)
  • QA Check changed from Ready for QA to Pass

Merged! (#16462#note-14)

#15 Updated by CyrilBrulebois about 1 month ago

  • Status changed from Fix committed to Resolved

Also available in: Atom PDF